
function ajaxFunction( phpskript, zielelement ) {
 var xmlHttp=null;
 
 try {
   // Firefox, Internet Explorer 7. Opera 8.0+, Safari
   xmlHttp = new XMLHttpRequest();
 } catch (e) {
   // Internet Explorer 6.
   try {
     xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
   } catch (e) {
     try {
       xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
     } catch (e) {
       alert("Your browser does not support AJAX!");
       return false;
     }
   }
 }
 xmlHttp.open("GET", phpskript, true);
 xmlHttp.onreadystatechange=function() {
   if(xmlHttp.readyState==4) {
     // Get the data from the server's response.
     //document.all.zielelement.innerhtml=xmlHttp.responseText;
	 //alert(document.getElementById( zielelement ).innerHTML);
	 //alert( xmlHttp.responseText );
	 document.getElementById( zielelement ).innerHTML=xmlHttp.responseText;
     xmlHttp=null;
   }
 }
 xmlHttp.send("");
}

function blende_ein_und_aus_1 ()
{
	document.forms.mndt_aendern.submit.style.display = "inline";
	document.forms.mndt_aendern.aendern.style.display = "none";
	document.forms.mndt_aendern.neuer_name.style.display = "inline";
	document.all.alter_name.innerhtml = "";
}

function fuelle_element ( elem, inhtml )
{
	
	document.getElementById( elem ).innerHTML  = inhtml;
}

function benutzer_einer_gruppe_hinzufuegen( $benutzer_anmeldename, $gruppen_name, $ziel_1, $ziel_2, $ziel_3 )
{
	
	$f1 = "ajaxFunction( 'su_web.php?cmd=benutzer_gruppe_in&benutzer_anmeldename="+$benutzer_anmeldename+"', '"+$ziel_2+"' )";
	$f2 = "ajaxFunction( 'su_web.php?cmd=benutzer_gruppe_out&benutzer_anmeldename="+$benutzer_anmeldename+"', '"+$ziel_3+"' )";
	
	ajaxFunction( 'su_web.php?cmd=fuege_benutzer_gruppe_hinzu&benutzer_anmeldename='+$benutzer_anmeldename+'&gruppen_name='+$gruppen_name, $ziel_1 );
	setTimeout( $f1, 300 );
	setTimeout( $f2, 300 );
	
	
}

function benutzer_aus_einer_gruppe_entfernen( $benutzer_anmeldename, $gruppen_name, $ziel_1, $ziel_2, $ziel_3 )
{
	
	$f1 = "ajaxFunction( 'su_web.php?cmd=benutzer_gruppe_in&benutzer_anmeldename="+$benutzer_anmeldename+"', '"+$ziel_2+"' );";
	$f2 = "ajaxFunction( 'su_web.php?cmd=benutzer_gruppe_out&benutzer_anmeldename="+$benutzer_anmeldename+"', '"+$ziel_3+"' );";
	
	
	ajaxFunction( 'su_web.php?cmd=loesche_benutzer_aus_gruppe&benutzer_anmeldename='+$benutzer_anmeldename+'&gruppen_name='+$gruppen_name, $ziel_1 );
	
	
	
	setTimeout( $f1, 300 );
	setTimeout( $f2, 300 );
}

function konfiguration_aendern( $mandant_name, $parameter, $neuer_wert, $ziel_1, $ziel_2 )
{
	
	
	$f1 = "ajaxFunction( 'su_web.php?cmd=einstellung_aendern&mandant_name="+$mandant_name+"&sys_wert_neu="+$neuer_wert+"&systemeinstellung="+$parameter+"',   '"+$ziel_1+"' )"; 
	$f2 = "ajaxFunction( 'su_web.php?cmd=liefere_konfig&mandant_name="+$mandant_name+"&konfig_option="+$parameter+"', '"+$ziel_2+"' );";
	
	
	ajaxFunction( 'su_web.php?cmd=einstellung_aendern&mandant_name='+$mandant_name+'&sys_wert_neu='+$neuer_wert+'&systemeinstellung='+$parameter, $ziel_1 ); 
	
	
	setTimeout( $f2, 300 );
	
}

function gruppe_ein_systemrecht_entziehen( $gruppen_name, $systemrecht, $ziel_1, $ziel_2, $ziel_3 )
{
	
	//$f1 = "ajaxFunction( 'su_web.php?cmd=benutzer_gruppe_in&gruppen_name=" + $gruppen_name+"', '" + $ziel_2 + "' )";
	//$f2 = "ajaxFunction( 'su_web.php?cmd=benutzer_gruppe_out&gruppen_name=" + $gruppen_name+"', '" + $ziel_3 + "' )";
	
	$f1 = "ajaxFunction( 'su_web.php?cmd=gruppe_systemrecht_out&gruppen_name=" + $gruppen_name + "', '" + $ziel_3 + "' )";
	$f2 = "ajaxFunction( 'su_web.php?cmd=gruppe_systemrecht_in&gruppen_name=" + $gruppen_name + "', '" + $ziel_2 + "' );";
	
	
	ajaxFunction( 'su_web.php?cmd=gruppe_ein_systemrecht_entziehen&gruppen_name='+$gruppen_name+'&systemrecht='+$systemrecht, $ziel_1 );
	setTimeout( $f1, 300 );
	setTimeout( $f2, 300 );
	
	
}

function gruppe_ein_systemrecht_zuweisen( $gruppen_name, $systemrecht, $ziel_1, $ziel_2, $ziel_3 )
{
	//ajaxFunction( \'su_web.php?cmd=gruppe_systemrecht_out&gruppen_name=\'+this.value, \'div_select_3\' )
	
	$f1 = "ajaxFunction( 'su_web.php?cmd=gruppe_systemrecht_out&gruppen_name=" + $gruppen_name + "', '" + $ziel_3 + "' )";
	$f2 = "ajaxFunction( 'su_web.php?cmd=gruppe_systemrecht_in&gruppen_name=" + $gruppen_name + "', '" + $ziel_2 + "' );";
	
	ajaxFunction( 'su_web.php?cmd=gruppe_ein_systemrecht_zuweisen&gruppen_name='+$gruppen_name+'&systemrecht='+$systemrecht, $ziel_1 );
	setTimeout( $f1, 300 );
	setTimeout( $f2, 300 );
	
	
}






























